# Modificar coleta

Endpoint para atualizar dados da coleta, isso inclui o endereço e as informações de contato no armazém.

## Editar coleta

> Endpoint que permite editar os dados de coleta de uma entrega.

```json
{"openapi":"3.0.0","info":{"title":"API Shippify","version":"1.0.0"},"servers":[{"url":"https://api.shippify.co","description":"Servidor de desenvolvimento"}],"security":[{"Basic_Auth":[]}],"components":{"securitySchemes":{"Basic_Auth":{"type":"http","scheme":"basic"}},"schemas":{"editPickup":{"successfulResponse":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"data":{"type":"object","description":"Information of additional processes created (if the delivery belongs to a route)","properties":{"jobs":{"description":"Identifier of the external process created","type":"string"}}}}},"request":{"type":"object","required":["deliveryIds","reorderRoute","recalculatePrice","deliveryChanges"],"properties":{"deliveryIds":{"description":"Delivery identifiers to be edited separated by comma, up to 10 deliveries can be edited in a single request","type":"string"},"deliveryChanges":{"description":"Mudanças a serem feitas na tarefa","type":"object","required":["location"],"properties":{"location":{"$ref":"#/components/schemas/delivery/location"},"contact":{"$ref":"#/components/schemas/delivery/contact"}}},"recalculatePrice":{"description":"Indicates whether to recalculate the price after modification (recommended)","type":"boolean"},"reorderRoute":{"description":"Indicates whether to reorder the route (if the delivery belongs to a route) after modification (recommended)","type":"boolean"}}}},"Unauthenticated":{"properties":{"code":{"type":"string"},"message":{"type":"string"}},"type":"object"},"delivery":{"location":{"description":"Informações do endereço do local de coleta dos pacotes de entrega.","type":"object","required":["address"],"properties":{"address":{"description":"Endereço de entrega.","type":"string"},"instructions":{"description":"Informações extras sobre o endereço.","type":"string"},"lat":{"description":"Latitude do ponto de coleta.","type":"string"},"lng":{"description":"Longitude do ponto de coleta.","type":"string"}}},"contact":{"description":"Informações de contato da pessoa responsável por entregar os pacotes no armazém de coleta.","type":"object","required":["name","email"],"properties":{"name":{"description":"Nome da pessoa responsável.","type":"string"},"email":{"description":"Email da pessoa responsável.","type":"string","format":"email"},"phonenumber":{"description":"Número de telefone da pessoa responsável.","type":"string"}}}}}},"paths":{"/v1/deliveries/pickup":{"patch":{"tags":["Editar coleta"],"summary":"Editar coleta","description":"Endpoint que permite editar os dados de coleta de uma entrega.","responses":{"200":{"description":"Operação bem-sucedida","content":{"application/json":{"schema":{"$ref":"#/components/schemas/editPickup/successfulResponse"}}}},"401":{"description":"Não autorizado","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Unauthenticated"}}}}},"requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/editPickup/request"}}}}}}}}
```

## Casos de uso

<details>

<summary>Modificar dados do remetente</summary>

```json
{
    "deliveryIds": "t-pruaas-4973",
    "deliveryChanges": {
        "location": {
            "address": "av. echeñique 8861, 7860169 la reina, región metropolitana, chile",
            "instructions": "CLIENTE RETIRA PRODUTOS NO POLICENTRO 2",
            "lat": -23.557166,
            "lng": -46.664559
        },
        "contact": {
            "name": "Juan Perez",
            "email": "example@shippify.co"
        }
    },
    "recalculatePrice": true,
    "reorderRoute": true
}
```

</details>

<details>

<summary>Modificar endereço de entrega</summary>

```json
{
    "deliveryIds": "t-pruaas-4973",
    "deliveryChanges": {
        "location": {
            "address": "av. echeñique 8861, 7860169 la reina, región metropolitana, chile",
            "instructions": "CLIENTE RETIRA PRODUTOS NO POLICENTRO 2",
            "lat": -23.557166,
            "lng": -46.664559
        }
    },
    "recalculatePrice": true,
    "reorderRoute": true
}
```

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.shippify.co/developers/pt/shippify-api/entregas/modificar-coleta.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
